<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="FluentValidation" Version="11.6.0" />
    <PackageReference Include="Hotline.Share" Version="1.0.116" />
    <PackageReference Include="Portable.BouncyCastle" Version="1.9.0" />
    <PackageReference Include="Quartz.Jobs" Version="3.8.0" />
    <PackageReference Include="RestSharp" Version="110.2.0" />
    <PackageReference Include="XF.Domain.Repository" Version="1.0.6" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Mapster" Version="7.4.0" />
    <PackageReference Include="MediatR" Version="12.2.0" />
    <PackageReference Include="XF.EasyCaching" Version="1.0.6" />
    <PackageReference Include="XF.Utility.MQ" Version="1.0.9" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\DataSharing.Share\DataSharing.Share.csproj" />
  </ItemGroup>

</Project>
